
function getData(options){
  var postData = {};
  postData[g.csrfParam] = g.csrfToken;
  return Object.assign({}, postData, options);
}

export default function pageRegister(){

  $('input').iCheck({
      checkboxClass: 'icheckbox_square-blue',
      radioClass: 'iradio_square-blue',
      increaseArea: '20%' // optional
    });

    $(".form_register").validate({
      // debug:true,
      rules: {
        username: {
          required: true,
          remote: {//服务器验证是否存在
            url: g.urlCheckUserName,
            type: "post",
            data: getData({
              username: function() {
                return $( ".ipt_username" ).val();
              }
            }),
          }
        },
        email:{
          required: true,
          email:true,
          remote: {
            url: g.urlCheckEmail,
            type: 'post',
            data: getData({
              username: function() {
                return $( ".ipt_email" ).val();
              }
            }),
          }
        },
        password: {
          required: true
        },
        password_repeat: {
          required:true,
          equalTo:'#password'
        }
      },
      messages:{
        username: {
          required: 'username is required!',
          remote:'username already exist!'
        },
        email:{
          required: 'email is required!',
          remote:'email is already exist!'
        },
        password: {
          required: 'password is required!'
        },
        password_repeat: {
          required:'passwrod reapeat is required!'
        }
      },
      errorPlacement: function(error, element) {
        error.appendTo(element.parents('.form-group'))
      },
      submitHandler: function(form){
        //$(form).ajaxSubmit();
        form.submit();
        $('.btn_register').text('Loading...');
      }
    });

}